Page MenuHomePhabricator

Part Deux: TextCat A/B test for Language Identification - create and deploy
Closed, ResolvedPublic

Description

This is a continuation - with modifications - of a test that started in https://phabricator.wikimedia.org/T121543.

We needed to update the test (based on this ticket) in order to get good data in our result set for analysis. This ticket is also to deploy the test.

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaEvents : masterTextcat search satisfaction subtest for multiple wikis
mediawiki/extensions/WikimediaEvents : wmf/1.28.0-wmf.6Textcat search satisfaction subtest for multiple wikis

Event Timeline

debt created this task.Jun 6 2016, 11:11 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptJun 6 2016, 11:11 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
debt triaged this task as Medium priority.Jun 16 2016, 5:25 PM

Change 293432 had a related patch set uploaded (by EBernhardson):
Textcat search satisfaction subtest for multiple wikis

https://gerrit.wikimedia.org/r/293432

Change 293432 merged by jenkins-bot:
Textcat search satisfaction subtest for multiple wikis

https://gerrit.wikimedia.org/r/293432

Change 294773 had a related patch set uploaded (by EBernhardson):
Textcat search satisfaction subtest for multiple wikis

https://gerrit.wikimedia.org/r/294773

Change 294773 merged by jenkins-bot:
Textcat search satisfaction subtest for multiple wikis

https://gerrit.wikimedia.org/r/294773

Mentioned in SAL [2016-06-16T23:16:01Z] <ebernhardson@tin> Synchronized wmf-config/InitialiseSettings.php: T137167: search: Dependent config for textcat AB test. (duration: 00m 26s)

Mentioned in SAL [2016-06-16T23:19:42Z] <ebernhardson@tin> Synchronized php-1.28.0-wmf.6/extensions/WikimediaEvents/modules/ext.wikimediaEvents.searchSatisfaction.js: T137167: TextCat A/B test for Language Identification (duration: 00m 24s)

Mentioned in SAL [2016-06-16T23:24:10Z] <ebernhardson@tin> Synchronized php-1.28.0-wmf.6/extensions/WikimediaEvents/extension.json: T137167: TextCat A/B test for Language Identification (duration: 00m 24s)

Mentioned in SAL [2016-06-16T23:44:42Z] <ebernhardson@tin> Synchronized php-1.28.0-wmf.6/extensions/WikimediaEvents/modules/ext.wikimediaEvents.searchSatisfaction.js: T137167: TextCat A/B test for Language Identification (duration: 00m 25s)